#
# spec file for package pilot-link (Version 0.11.8)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libpng libpng-devel libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline readline-devel resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           pilot-link
BuildRequires:  gcc-c++ libpng-devel readline-devel resmgr
URL:            http://www.pilot-link.org/
License:        LGPL
Group:          Hardware/Palm
Obsoletes:      plink
Provides:       plink
Requires:       perl-PDA-Pilot
Autoreqprov:    on
Version:        0.11.8
Release:        140.2
Summary:        PalmPilot Link Utility (Backup, Uploading Tools, and more)
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-%{version}-no-tcl.diff
Patch1:         resmgr.diff
Patch2:         %{name}-%{version}-implicit.diff
Patch4:         %{name}-%{version}-uninitialized.diff
Patch5:         %{name}-%{version}-serial.diff
Patch6:         %{name}-%{version}-warnings-fix.diff
Patch7:         %{name}-%{version}-autoconf-fix.diff
Patch8:         %{name}-%{version}-pkgconfig.diff
Patch9:         %{name}-%{version}-realpath.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a keen choice of cool tools for the PalmPilot user. It
contains:

- backup utility for Pilot data

- uploading and downloading tools (memo, for example)

- a simple addressbook

- utility for importing POP3 mailboxes and sending through Sendmail

- set the Palm time from your computer justintime.prc needs to be
installed on your Palm see http://www.klawitter.de/palm/justintime.html
for more information.



Authors:
--------
    Kenneth Albanowski <kjahds@kjahds.com>

%debug_package
%package devel
Requires:       %{name} = %{version} readline-devel ncurses-devel resmgr
Summary:        PalmPilot Development Header Files
Group:          Hardware/Palm

%description devel
This package contains the development headers that are used to build
the pilot-link package.  It also includes the static libraries
necessary to build static pilot apps.

If you want to develop Palm Pilot synchronization applications, you
will need to install pilot-link-devel.



Authors:
--------
    Kenneth Albanowski <kjahds@kjahds.com>

%prep
%setup -q
%patch
%patch1
%patch2
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9

%build
%{?suse_update_config:%{suse_update_config -f scripts}}
rm acinclude.m4
libtoolize --copy --force
aclocal
automake -a
autoconf
autoheader
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
	./configure \
	    --prefix=/usr \
	    --mandir=%{_mandir} \
	    --libdir=%{_libdir} \
	    --enable-resmgr
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
chmod a+x $RPM_BUILD_ROOT/%{_libdir}/libpisock.so*

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README doc/README.* doc/TODO doc/Coding*
%{_libdir}/*.so.*
%{_bindir}/*
%{_mandir}/man*/*
/usr/share/pilot-link

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
/usr/share/aclocal/pilot-link.m4
/usr/%_lib/pkgconfig/*

%changelog -n pilot-link
* Sun May 07 2006 - jpr@suse.de
- Fix pilot-link-0.11.8-serial.diff to not think it lost the packet
  when the poll was successful, result < 0 vs result <= 0)
  (part of #165455)
* Tue Apr 25 2006 - dgollub@suse.de
- reenabled patch for pilot-link.m4.in
- fixed systemwide warning about underquoted definition
  of AC_PILOT_LINK_HOOK
* Wed Mar 29 2006 - dgollub@suse.de
- fixed buffer overflow in realpath calling for version 0.11.8 [#153944]
* Wed Mar 29 2006 - dgollub@suse.de
- downgrade to pilot-link version 0.11.8
  0.12.0-prev4 is not supposed to be packaged [#161722]
- added pkgconfig files: pilot-link.pc pilot-link-pp.pc
* Mon Mar 27 2006 - postadal@suse.cz
- fixed uninitialized variable (uninitialized2.patch) [#160933]
  * fixed serial support on 64 bit archs
* Tue Feb 28 2006 - postadal@suse.cz
- fixed buffer overflow in realpath calling (realpath.patch) [#153944]
* Mon Feb 20 2006 - postadal@suse.cz
- fixed uninitialized variable (uninitialized.diff) [#152042]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 09 2006 - postadal@suse.cz
- added libpng to neededforbuild
- fixed uninitialized variable (uninitialized.diff) [#141152]
* Wed Oct 05 2005 - mmj@suse.de
- fix printf call
- don't paper over aliasing bugs by just making the warning, go
  away wrongly.  Especially not, when it's already compiled with
-fno-strict-aliasing
* Wed Sep 28 2005 - wstephenson@suse.de
- backport extern "C" fixes from CVS so C++ use of the library works
* Tue Sep 20 2005 - postadal@suse.cz
- fixed uninitialized variables (uninitialized.diff)
* Mon Aug 29 2005 - postadal@suse.cz
- fixed resmgr.diff patch
- added patch from upstream to fix serial support (serial.diff)
* Sat Aug 06 2005 - ro@suse.de
- fix pkgconfig dir
* Fri Aug 05 2005 - lmichnovic@suse.cz
- update to version 0.12.0-pre4
- fixed gcc warnings
* Tue Mar 30 2004 - postadal@suse.cz
- fixed underquoted definition of AC_PILOT_LINK_HOOK [#37487]
* Tue Mar 23 2004 - postadal@suse.cz
- fixed warnings in compilation
- added requires for devel package
* Fri Mar 19 2004 - adrian@suse.de
- add resmgr support
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Tue Jul 29 2003 - postadal@suse.cz
- updated to version 0.11.8
  * you no longer have to hit HotSync on the Palm first, before launching your
  desktop conduits. You can hit HotSync first, or launch your desktop
  conduit/tools first, and it will still make an attempt to connect.
  This also works with gnome-pilot and J-Pilot as well.
  * pilot-foto conduit to fetch/convert photos taken with a Palm Zire71
  camera device
* Wed May 14 2003 - mmj@suse.de
- Package pilot-link.m4 to -devel
* Fri Jan 17 2003 - postadal@suse.cz
- updated to version 0.11.7
  * new manpages
  * deprecated pilot-mail, in favor of pilot-mailsync.
* Fri Oct 25 2002 - uli@suse.de
- update -> 0.11.5
* Tue Jun 18 2002 - meissner@suse.de
- run auto* tools, fixed configure.in (now uses C++ unconditionally)
* Wed May 15 2002 - hhetter@suse.de
- updated to version 0.9.5
- adapted timesync feature
* Tue Apr 23 2002 - rommel@suse.de
- consistent use of _libdir
* Mon Jun 18 2001 - schwab@suse.de
- Fix friend declarations.
* Wed Apr 11 2001 - pblaha@suse.cz
- add timesync feature from http://www.klawitter.de/palm/
* Tue Mar 13 2001 - ro@suse.de
- fixed buildrooting
* Mon Nov 27 2000 - grimmer@suse.de
- renamed from "plink" to "pilot-link"
- moved perl modules (and required patches) into separate
  package perl-PDA-Pilot
- split into "pilot-link" and "pilot-link-devel"
- moved files from /usr/lib/pix to /usr/lib/pilot-link
- added BuildRoot and Group Tag
* Thu Sep 21 2000 - ro@suse.de
- fixed for perl-5.6
- bzipped source
* Sun Apr 09 2000 - bk@suse.de
- added suse update config macro
* Thu Mar 02 2000 - uli@suse.de
- moved man pages to %%{_mandir}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu May 27 1999 - uli@suse.de
- update 0.9.1 -> 0.9.3
* Thu May 27 1999 - uli@suse.de
- added libpicc.a
* Wed Feb 17 1999 - stefan@suse.de
- New package
